summaryrefslogtreecommitdiffstats
path: root/development/avarice/avarice.SlackBuild
diff options
context:
space:
mode:
author tjohann <thorsten.johannvorderbrueggen@t-online.de>2014-06-21 11:47:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-06-30 20:10:24 +0700
commitdb174a3ebe690edfb46c4d177500d66576d851ed (patch)
tree64348b5796f3b8bc86c2dbb36b8fd82ff8cc7716 /development/avarice/avarice.SlackBuild
parent630635b2ab2db9c099b7f2363c2cca1d311cae6c (diff)
downloadslackbuilds-db174a3ebe690edfb46c4d177500d66576d851ed.tar.gz
slackbuilds-db174a3ebe690edfb46c4d177500d66576d851ed.tar.xz
development/avarice: Added (GDB for the AVR platform).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/avarice/avarice.SlackBuild')
-rw-r--r--development/avarice/avarice.SlackBuild85
1 files changed, 85 insertions, 0 deletions
diff --git a/development/avarice/avarice.SlackBuild b/development/avarice/avarice.SlackBuild
new file mode 100644
index 0000000000..1a269a408c
--- /dev/null
+++ b/development/avarice/avarice.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for avarice
+# Written by thorsten
+
+PRGNAM=avarice
+VERSION=${VERSION:-2.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf avarice-$VERSION avarice-build-$VERSION
+tar xvf $CWD/avarice-$VERSION.tar.bz2
+mkdir avarice-build-$VERSION
+cd avarice-build-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS_FOR_BUILD="$SLKCFLAGS" \
+CXXFLAGS_FOR_BUILD="$SLKCFLAGS" \
+../avarice-$VERSION/configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+for file in COPYING* ChangeLog AUTHORS INSTALL NEWS; do
+ cp ../avarice-$VERSION/$file $PKG/usr/doc/$PRGNAM-$VERSION
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}